<?php
define('MODX_API_MODE', true);
require dirname(dirname(dirname(dirname(__FILE__)))) . '/index.php';
$modx->getService('error', 'error.modError');
$modx->setLogLevel(modX::LOG_LEVEL_INFO);
$modx->setLogTarget('FILE');
$modx->lexicon->load('rbspayment_alfabankby:default');
$miniShop2 = $modx->getService('minishop2');
$miniShop2->loadCustomClasses('payment');
if(isset($_GET['error'])) {
echo '<div style="margin:50px auto 0; font-size:16px;max-width:600px; text-align:center;">';
echo $modx->lexicon('rbspayment_alfabankby_result_error1');
echo "<br>";
echo "<br>";
echo "errorCode: " . $_GET['code'];
echo "<br>";
echo "errorMessage: " . $_GET['message'];
echo "<br>";
echo "<br>";
echo $modx->lexicon('rbspayment_alfabankby_result_error2');
echo "<br>";
echo "<br>";
echo "<a href='/'>" . $modx->lexicon('rbspayment_alfabankby_result_return_store') . "</a>";
echo "</div>";
return false;
}
if (!class_exists('RBSPaymentalfabankby')) {
exit('Error: could not load payment class "RBSPaymentalfabankby".');
}
$handler = new RBSPaymentalfabankby($modx->newObject('msOrder'));
if(isset($_REQUEST['isCallback'])) {
$handler->returnGateRequestLog('CALLBACK_RETURN',array(
'orderNumber' => $_REQUEST['orderNumber'],
'mdOrder' => $_REQUEST['mdOrder'],
'operation' => $_REQUEST['operation'],
'status' => $_REQUEST['status'],
));
} else {
$handler->returnGateRequestLog('USER_RETURN',array(
'orderId' => $_REQUEST['orderId'],
));
}
$orderId =  false;
if(isset($_REQUEST['orderId'])) {
$orderId = $_REQUEST['orderId'];
} else if(isset($_REQUEST['mdOrder'])) {
$orderId = $_REQUEST['mdOrder'];
}
if ($orderId) {
$result = $handler->receiver($orderId);
} else {
$handler->returnMain();
}
?>
<?php die; ?>